(function ($) {
	'use strict';

	$(document).ready(function () {


		if ($(".vpc-configurator").length) {

			var configurator_parents = $("#vpc-container").parents();

			configurator_parents.each(function () {
				if ($(this).css("overflow").toLowerCase() == 'hidden')
					$(this).css("overflow", "visible");
				if ($(this).css("overflow-x").toLowerCase() == 'hidden')
					$(this).css("overflow-x", "visible");
				if ($(this).css("overflow-y").toLowerCase() == 'hidden')
					$(this).css("overflow-y", "visible");
			});

		}

		if ($(window).width() <= 800) {
			$('#vpc-container.VPC_Modern_Skin').each(function () {
				$(this).find('.conf_desc').appendTo(this);
				$(this).find('#vpc-preview-wrap').appendTo($(this));
				$(this).find('#vpc-components').appendTo($(this));
				$(this).find('.vpc-debug').appendTo($(this));
				$(this).find('#vpc-bottom-limit').appendTo($(this));
				$(this).find('.vpc-action-buttons').appendTo($(this));
				$(this).find('#debug').appendTo($(this));
			});
		}

		if (typeof vpc != "undefined") {
			if (typeof (vpc.config["components-aspect"] != "undefined") && vpc.config["components-aspect"] == "opened") {
				$(".vpc-component-header").addClass("component-open");
			}
		}

		$(document).on("click", ".vpc-component-header", function (e) {
			var $this = $(this), $thisOptions = $(this).next();
			if (typeof (vpc.config["components-behavior-on-click"] != "undefined") && vpc.config["components-behavior-on-click"] == "close-others") {
				$('.vpc-component-header').removeClass("component-open");
			}
			$this.toggleClass("component-open");

		});

		// Change the text's font on the preview when the font family is changed by the user.
		$(document).on("change", '.font-selector', function () {
			var current_font = $(this).val();
			var field_id = $(this).data('field');
			var field_datas = vpc.text_settings[field_id];
			var hidden_id = field_datas.hidden_field_id;
			var color = $(this).parents('.vpc-textfield').find("input[id$='-color-selector']:checked").next('label').data('color');
			$('#' + field_datas.container).css('font-family', current_font);
			vpc_msl_get_text_properties(current_font, color, hidden_id);
		});
	});

	// Function to get the text properties.
	function vpc_msl_get_text_properties(font, color, hidden_id) {
		var properties = "font-family: <span>" + font + "</span> <br> color : <span>" + color + "</span>";
		$('#' + hidden_id).val(properties);
	}
}(jQuery));
