<?php
/**
 * The plugin bootstrap file
 *
 * This file is read by WordPress to generate the plugin information in the plugin
 * admin area. This file also includes all of the dependencies used by the plugin,
 * registers the activation and deactivation functions, and defines a function
 * that starts the plugin.
 *
 * @link              https://www.orionorigin.com/product/modern-skin/?utm_source=Installed+pro+plugin&utm_medium=Source+code&utm_campaign=VPC-MSL
 * @since             1.0.0
 * @package           Vpc_Msl
 *
 * @wordpress-plugin
 * Plugin Name:       Visual Products Configurator Modern Skin
 * Plugin URI:        https://www.orionorigin.com/product/modern-skin/?utm_source=Installed+pro+plugin&utm_medium=Source+code&utm_campaign=VPC-MSL
 * Description:       This is a short description of what the plugin does. It's displayed in the WordPress admin area.
 * Version:           2.1.1
 * Author:            Orion Origin
 * Author URI:        https://www.orionorigin.com/?utm_source=Installed+pro+plugin&utm_medium=Author+URI&utm_campaign=VPC-MSL
 * License:           GPL-2.0+
 * License URI:       http://www.gnu.org/licenses/gpl-2.0.txt
 * Text Domain:       vpc-msl
 * Domain Path:       /languages
 */

// If this file is called directly, abort.
if ( ! defined( 'WPINC' ) ) {
	die;
}

/**
 * Currently plugin version.
 * Start at version 1.0.0 and use SemVer - https://semver.org
 * Rename this for your plugin and update it as you release new versions.
 */
define( 'VPC_MSL_URL', plugins_url( '/', __FILE__ ) );
define( 'VPC_MSL_DIR', dirname( __FILE__ ) );

define( 'VPC_MSL_VERSION', '2.1.1' );
define( 'VPC_MSL_MAIN_FILE', 'visual-product-configurator-modern-skin/vpc-msl.php' );
define( 'VPC_MSL_NAME', 'Visual Product Configurator Modern Skin' );

/**
 * The code that runs during plugin activation.
 * This action is documented in includes/class-vpc-msl-activator.php
 */
function activate_vpc_msl() {
	require_once plugin_dir_path( __FILE__ ) . 'includes/class-vpc-msl-activator.php';
	Vpc_Msl_Activator::activate();
}

/**
 * The code that runs during plugin deactivation.
 * This action is documented in includes/class-vpc-msl-deactivator.php
 */
function deactivate_vpc_msl() {
	require_once plugin_dir_path( __FILE__ ) . 'includes/class-vpc-msl-deactivator.php';
	Vpc_Msl_Deactivator::deactivate();
}

register_activation_hook( __FILE__, 'activate_vpc_msl' );
register_deactivation_hook( __FILE__, 'deactivate_vpc_msl' );

/**
 * The core plugin class that is used to define internationalization,
 * admin-specific hooks, and public-facing site hooks.
 */
require plugin_dir_path( __FILE__ ) . 'includes/class-vpc-msl.php';
require plugin_dir_path( __FILE__ ) . 'skins/class-vpc-modern-skin.php';
require plugin_dir_path( __FILE__ ) . 'skins/class-vpc-modern-skin-right-sidebar.php';

/**
 * Begins execution of the plugin.
 *
 * Since everything within the plugin is registered via hooks,
 * then kicking off the plugin from this point in the file does
 * not affect the page life cycle.
 *
 * @since    1.0.0
 */
function run_vpc_msl() {

	$plugin = new Vpc_Msl();
	$plugin->run();
}

run_vpc_msl();
